MK.IO
how-to
Managing Edge Devices
Removing a device

Remove edge devices

This page explains how to remove an edge device from MK.IO using the MK.IO UI and API.

Remove a device

Remove a device using the MK.IO UI

  1. Log in to MK.IO.
  2. Open the project you want to remove the device from and go to the Devices page.
  3. Click on the device you want to remove. If needed, use Search here.
  4. Click then Delete device.
  5. Click Delete to confirm.

Remove using the MK.IO API

To remove a device, send a DELETE request:

DELETE https://api.mk.io/api/v1/projects/project_name/fleet/devices/device1

Resolve removal warnings

The API (and UI) displays a warning if either of the following is true:

  • The device does not have an up-to-date usage report.
  • The last usage report shows services were still running on the device.

To resolve this:

  1. Confirm the device is powered on and can connect to MK.IO. Check the Connected status under Appliance > Fleet.
  2. Stop all services on the device. Use the remote UI if needed.
  3. Wait for the usage report to update. This can take 10–20 minutes.
  4. Retry the DELETE request.

Force delete an unreachable device

If the device cannot be accessed due to hardware failure, force the deletion by adding query parameters to the request:

DELETE https://api.mk.io/api/v1/projects/project_name/fleet/devices/device1?force=true&reason=<reason>&notes=<notes>
ParameterDescription
forceSet to true to enable force deletion.
reasonOne of: Failed, Maintenance, Storage, Other.
notesA description of the reason. Required when reason is Other. Minimum 5 characters, maximum 255 characters.